Set Campaign Senders
curl --request POST \
--url https://api.getoutbox.ai/email/campaigns/{campaign_id}/senders/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.getoutbox.ai/email/campaigns/{campaign_id}/senders/"
payload = { "sender_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sender_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.getoutbox.ai/email/campaigns/{campaign_id}/senders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Email Campaigns
Add Campaign Sender
Replace the campaign’s sender pool. Pass an empty list to clear it (campaign will fall back to the company default sender at launch).
POST
/
email
/
campaigns
/
{campaign_id}
/
senders
/
Set Campaign Senders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Order is preserved and used to round-robin sends.
Response
Updated sender pool.
⌘I

